import JDLObject from '../models/jdl-object.js';
import { JSONEntity, JHipsterYoRcContent } from './types.js';
declare const _default: {
    convertToJDL: typeof convertToJDL;
    convertSingleContentToJDL: typeof convertSingleContentToJDL;
};
export default _default;
export declare function convertToJDL(directory?: string, output?: string | false): JDLObject | undefined;
export declare function convertSingleContentToJDL(yoRcFileContent: JHipsterYoRcContent, entities?: Map<string, JSONEntity>): string;
export declare function getJDLObjectFromSingleApplication(yoRcFileContent: JHipsterYoRcContent, entities?: Map<string, JSONEntity>, existingJDLObject?: JDLObject): JDLObject;
